<?php


namespace FiloBlu\Paymentscapture\Setup;
 
use Magento\Framework\Setup\UpgradeDataInterface;
use Magento\Framework\Setup\ModuleContextInterface;
use Magento\Framework\Setup\ModuleDataSetupInterface;
 
class UpgradeData implements UpgradeDataInterface
{
    protected $_statusFactory;
    public function __construct(
        \Magento\Sales\Model\Order\StatusFactory $statusFactory
    ){
        $this->_statusFactory = $statusFactory;
    }
    public function upgrade(ModuleDataSetupInterface $setup, ModuleContextInterface $context)
    {
        $installer = $setup;
        $installer->startSetup();
        
        if (version_compare($context->getVersion(), '2.0.0') < 0) {
            $readyToInvoiceStatus = $this->_statusFactory->create();
            $readyToInvoiceStatus->setData('status', 'ready_to_invoice');
            $readyToInvoiceStatus->setData('label', 'Ready to Invoice');
            $readyToInvoiceStatus->save();            
            $readyToInvoiceStatus->assignState(\Magento\Sales\Model\Order::STATE_PROCESSING, false, true);
        }

        $installer->endSetup();
    }
}